Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.util
Class UncleanStatusException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      edu.wpi.first.wpilibj.util.UncleanStatusException

    public final class UncleanStatusException

extends IllegalStateException

Exception for bad status codes from the chip object

Author:
  Brian

Constructor Summary
`UncleanStatusException()` Create a new UncleanStatusException
`UncleanStatusException(int status)` Create a new UncleanStatusException
`UncleanStatusException(int status, String message)` Create a new UncleanStatusException
`UncleanStatusException(String message)` Create a new UncleanStatusException

Method Summary
`int` | `getStatus()` Create a new UncleanStatusException

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UncleanStatusException

    public UncleanStatusException(int status,
                                  String message)

  Create a new UncleanStatusException

  Parameters:
    `status` - the status code that caused the exception
    `message` - A message describing the exception

### UncleanStatusException

    public UncleanStatusException(int status)

  Create a new UncleanStatusException

  Parameters:
    `status` - the status code that caused the exception

### UncleanStatusException

    public UncleanStatusException(String message)

  Create a new UncleanStatusException

  Parameters:
    `message` - a message describing the exception

### UncleanStatusException

    public UncleanStatusException()

  Create a new UncleanStatusException

Method Detail

### getStatus

    public int getStatus()

  Create a new UncleanStatusException

  Returns:
    the status code that caused the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"